"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cosmiconfig_1 = require("cosmiconfig");
const parseParams_1 = require("./parseParams");
const config = (() => {
    const packageJson = "package.json";
    return {
        packageJson,
        "supportedConfigFile": [packageJson, ...["json", "js"].map(extension => `denoify.config.${extension}`)],
        "getDenoifyParamsWithCosmiconfig": async () => {
            const explorer = (0, cosmiconfig_1.cosmiconfig)("denoify");
            const search = await explorer.search();
            if (search) {
                console.log(`Configurations from ${search.filepath} are used`);
            }
            return (0, parseParams_1.parseAsDenoifyParams)(search?.config ?? undefined);
        }
    };
})();
exports.default = config;
//# sourceMappingURL=index.js.map